<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <!-- This file was converted to xhtml by Writer2xhtml ver. 0.9.2. See http://www.hj-gym.dk/~hj/writer2latex for more info. -->
  <title>Editing XML Files</title>
  <meta content="text/html; charset=UTF-8" http-equiv="Content-Type" />
  <link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
  <meta content="Jens Mittelbach" name="DC.creator" />
  <meta content="2008-11-20T16:56:37.74" name="DC.date" />
  <link rel="stylesheet" href="../help.css" charset="utf-8" type="text/css" />
</head>

<body>
<h1 id="toc0">Editing XML Files</h1>

<h2 id="toc1">How to open XML files</h2>

<p>To open an existing XML document in the <em>XML editor</em></p>
<ul>
  <li><p>either use the <a href="../navigator/open.html"><em>Navigator</em></a> and choose a file
    from the listed projects,</p>

    <div id="Grafik">
    <img alt="Grafik" class="frameGraphics" src="xmleditor-img5.png" /></div>
  </li>
  <li><p>or browse the <em>TextGridRep</em> with the <a href="../labSearch/openSearch.html"><em>Search
    Tool</em></a>.</p>

    <div id="Grafik">
    <img alt="Grafik" class="frameGraphics" src="xmleditor-img6.png" /></div>
  </li>
</ul>

<p class="NoteP"><span class="Note">Note:</span> In order to create a new document, see <a href="../projectManagement/managingResources.html">Managing (Adding, Copying, Publishing) Resources
in a Project</a>. </p>

<h2 id="toc1">The Views of the <em>XML editor</em> Perspective</h2>

<p>The document is displayed in the XML-Editor Perspective, which again is
divided in several views.</p>

<p>
<div id="Grafik">
<img alt="Grafik" class="frameGraphics" src="xmleditor-img7.png" />
</div>
<p class="Figure">Figure: The XML Editor perspective</p>
</p>

<p>On the left hand side, the Metadata Editor shows the metadata of the current
document. (It can be closed while working with the XML Editor) </p>

<p>The three main views of the <em>XML editor</em> - the <a href="xml-editor4.xhtml">Design view</a>, <a href="xml-editor5.xhtml">the
Source view</a> and the <a href="xml-editor6.xhtml">WYSIWYM view</a> - are
located in the centre. These views are used for editing an XML-file. You can
switch between the single pages by clicking the appropriate tab on the bottom
left side. Any changes you make in one view are also reflected in the other
views.</p>

<p>The right side of the XML-Editor Perspective is again subdivided in to two
smaller views, the Outline view and the Properties View below. The Outline View
shows an outline of the structure in order to help facilitate XML development.
You can also use the Outline view to insert and delete elements. To do so,
right click the element and choose the action to be performed from the context
menu. The Properties View overviews the properties of the elements. You can
edit the value(s) of the properties by typing in the right column of this view.
</p>

<h2 id="toc1">How to Save XML files</h2>

<p>To save any changes you have made in your document, select "File" from the
menu bar and choose one of the Save options.</p>

<p class="NoteP"><span class="Note">Note:</span> If you close a document without saving the
modifications, a dialoge is brought up to remind you to save your file. </p>

<h2>Related Topics</h2>
<ul class="relatedList">
  <li><a href="xml-editor4.xhtml">Design view</a></li>
  <li><a href="xml-editor5.xhtml">Source view</a></li>
  <li><a href="xml-editor6.xhtml">WYSIWYM view</a></li>
</ul>

<p></p>
</body>
</html>